import { defineConfig } from 'astro/config';

import tailwind from "@astrojs/tailwind";
import mdx from '@astrojs/mdx';
import sitemap from '@astrojs/sitemap';

// https://astro.build/config
export default defineConfig({
  site: 'https://cyrilsebek.cz',
  integrations: [tailwind(), mdx(), sitemap()],
  i18n: {
    locales: [
      {
        path: "cs",
        codes: ["cs", "sk"],
      },
      {
        path: "de",
        codes: ["de", "gsw"],
      },
      {
        path: "en",
        codes: ["en"]
      },
      {
        path: "fr",
        codes: ["fr"]
      }
    ],
    defaultLocale: "en",
    routing: {
      prefixDefaultLocale: true
    },
    fallback: {
      de: "en",
      fr: "en"
    },
  }
});